#!/bin/bash

# Função para instalação de pacotes
install_packages() {
    dpkg -i ./libssl1.1_1.1.1f-1ubuntu2.22_amd64.deb
    dpkg -i ./libwxbase3.0-0v5_3.0.4+dfsg-15build1_amd64.deb
    dpkg -i ./libtiff5_4.3.0-6_amd64.deb
    dpkg -i ./libccid_1.4.31-1_amd64.deb
    dpkg -i ./libc-bin_2.39-0ubuntu8.2_amd64.deb
    dpkg -i ./libgdk-pixbuf-xlib-2.0-0_2.40.2-3build2_amd64.deb
    dpkg -i ./libgdk-pixbuf2.0-0_2.40.2-3build2_amd64.deb
    dpkg -i ./libwxgtk3.0-gtk3-0v5_3.0.4+dfsg-15build1_amd64.deb
    dpkg -i ./pcscd_2.0.3-1build1_amd64.deb
    dpkg -i ./libifd-cyberjack6_3.99.5final.sp14-2_amd64.deb
    dpkg -i ./SafeSign_IC_Standard_Linux_3.7.0.0_AET.000_ub2004_x86_64.deb
}

# Função para verificar se o usuário é root
check_root() {
    if [ "$(id -u)" != 0 ]; then
        echo "Execute como root!"
        exit 1
    fi
}

# Verifica se o usuário é root
check_root

# Instalação
echo "Iniciando instalação..."
install_packages
echo "Concluído!"
